<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Quiz;

class QuizController extends Controller {

    /**
     * Get all students
     */
    public function get_all() {
        return response()->json( Quiz::get() );
    }

    /**
     * Get student by id
     */
    public function get_by_id( $id ) {
        return response()->json( Quiz::find($id) );
    }

    /**
     * Get all students count
     */
    public function get_count() {
        return response()->json( Quiz::count() );
    }

    /**
     * Get student by gender
     */
    public function search( Request $request ) {

        $search = $request->search;

        // $Students =  Quiz::where('name','LIKE',"%{$search}%")
        // ->orWhere('rollno', 'LIKE',"%{$search}%")
        // ->orWhere('branch', 'LIKE',"%{$search}%")
        // ->orWhere('phno', 'LIKE',"%{$search}%")
        // ->orWhere('username', 'LIKE',"%{$search}%")
        // ->get();

       // return response()->json( $Quiz );
    }


    public function get_players_count() {
        $players_count = 30;
        return response()->json( $players_count );
    }

    public function get_quiz_count() {
        $quiz_count = 20;
        return response()->json( $quiz_count );
    }

    public function get_avg_time() {
        $players_count = 45;
        return response()->json( $players_count );
    }

    public function help_needed_students() { 
        $help_needed_students = [
            0 => [
                'name' => 'Dilhara',
                'marks' => 15
            ],
            1 => [
                'name' => 'Chamath',
                'marks' => 23
            ],
        ];
        return response()->json( $help_needed_students );
    }

    public function difficult_quiz() { 
        $difficult_quiz = [
            0 => [
                'quiz' => 'What is this?',
            ],
            1 => [
                'quiz' => 'When it happened?',
            ],
        ];
        return response()->json( $difficult_quiz );
    }


    

}
